/*
  This renders and handles the title screen / main menu
 */

#ifndef _TITLE_SCREEN_H_
#define _TITLE_SCREEN_H_

#include "gamestate.h"

class TitleScreen : public GameState
{
 public:
    GameState(SDL_Surface* display);
    ~GameState();

    bool init();
    void execute(stack<GameState*> &game_state) throw(StateExit);

  protected:
    SDL_Surface* display;

    SDL_Surface* background;
    SDL_Surface* title_banner;
};


#endif
